Package org.opensaml.profile.logic

# Class NoConfidentialityMessageChannelPredicate

java.lang.Object
org.opensaml.profile.logic.NoConfidentialityMessageChannelPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class NoConfidentialityMessageChannelPredicate extends Object implements Predicate<ProfileRequestContext>
A predicate implementation that indicates whether the message channel does NOT support confidentiality end-to-end.

Typically but not exclusively used as a predicate for whether to encrypt something.

## Constructor Summary

Constructors
Constructor
Description
`NoConfidentialityMessageChannelPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### NoConfidentialityMessageChannelPredicate

public NoConfidentialityMessageChannelPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`